"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.worker = worker;

var _eslint = require("eslint");

const lintFile = async (fileArg, fix) => {
  if (!Array.isArray(fileArg)) {
    fileArg = [fileArg];
  }

  const eslint = new _eslint.ESLint({
    cwd: process.cwd(),
    fix
  });
  const report = await eslint.lintFiles(fileArg);
  await _eslint.ESLint.outputFixes(report);
  return report;
};

async function worker({
  fileArg,
  fix,
  suppressWarnings
}) {
  const results = await lintFile(fileArg, fix);
  return suppressWarnings ? _eslint.ESLint.getErrorResults(results) : results;
}